This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 247528 - (CVE-2007-3555) CVE-2007-3555: moodle cross site scripting vulnerability
CVE-2007-3555: moodle cross site scripting vulnerability
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: moodle (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 15:10 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 13:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-07-09 15:10:41 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-3555

"Cross-site scripting (XSS) vulnerability in index.php in Moodle 1.7.1 allows
remote attackers to inject arbitrary web script or HTML via a style expression
in the search parameter, a different vulnerability than CVE-2004-1424."

Appears to affect 1.6.x and 1.8.x too:
http://eduspaces.net/moodlenews/weblog/181794.html
http://download.moodle.org/stable18/CHANGES
http://download.moodle.org/stable16/CHANGES
Comment 1 Jon Ciesla 2007-07-25 19:52:19 EDT
Built 1.8.2 for rawhide, which addresses this.  Will push to 7, etc after testing.
Comment 2 Fedora Update System 2007-08-06 13:58:09 EDT
moodle-1.8.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.